<?php
include'aut_config.inc.php'; 
	//$fecha_x1=date("Y-m-d",strtotime($fecha_actual."- 1 days"));
	$cod_cliente='72';
	$fecha_actual = date("d-m-Y");
	$comienzo = new DateTime('01-08-2024');
	$final = new DateTime($fecha_actual);
	$saldo_inicio=mysql_query("select * from tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$cod_cliente'  ",$link);
	$ver_saldo_inicial=mysql_fetch_array($saldo_inicio);
	$saldo_inicial=number_format($ver_saldo_inicial['saldo_inicial'], 2, '.','');

for($i = $comienzo; $i <= $final; $i->modify('+1 day')){
    $fecha_actualx=$i->format("Y-m-d");
	
			//INGRESOS
			$anticipo=mysql_query("select * from tabla_anticipo_xls where facha_deposito='$fecha_actualx' and cod_cliente='$cod_cliente' and eliminar='0' ",$link);
			while($ver_anticipo=mysql_fetch_array($anticipo)){
			$ingresos=number_format($ver_anticipo['monto_dolar'], 2, '.',''); 
			$cod_banco=$ver_anticipo['tipo_banco'];
			$codx_cliente=$ver_anticipo['cod_cliente'];
			$fecha_x=$ver_anticipo['facha_deposito'];
				$banco=mysql_query("select * from tabla_banco_xls where id='$cod_banco' and eliminar='0'",$link);
				$ver_banco=mysql_fetch_array($banco);		
				$Banco_Referencia_Documento=$ver_banco['nombre'].' - '.$ver_anticipo['referencia_bancaria'];
					if($fecha_x==$fecha_actualx){
						$saldo_X=mysql_query("select * from tabla_transaccion_xls where cod_cliente='$codx_cliente'  ORDER BY id DESC ",$link);
						$ver_saldo_X=mysql_fetch_array($saldo_X);
						$saldox=$ver_saldo_X['saldo']; 
							if($saldox=='') { $saldox=$saldo_inicial; }
						$montox=$ver_saldo_X['monto'];
						$saldo_total_i=$saldox+$ingresos;
						$saldo_totalx1=number_format($saldo_total_i, 2, '.','');
							$chequear_datos=mysql_query("Select * from  tabla_transaccion_xls where Banco_Referencia_Documento='$Banco_Referencia_Documento' and fecha='$fecha_x' and cod_cliente='$cod_cliente' ",$link);
							$chequear=mysql_fetch_row($chequear_datos);
							if($chequear[0]=="")
							{
								mysql_query("INSERT INTO tabla_transaccion_xls (cod_cliente,fecha,tipo,monto,saldo,Banco_Referencia_Documento) VALUES ('".$codx_cliente."','".$fecha_x."','1','$ingresos','$saldo_totalx1','$Banco_Referencia_Documento')",$link);
							}	
					}	
			}		
			//FACTURACION
				
				$factura=mysql_query("select * from tabla_factura_xls where cod_cliente='$cod_cliente' and eliminar='0' and fecha_factura='$fecha_actualx' ",$link);
				while($ver_factura=mysql_fetch_array($factura)){
				$fecha_factura=$ver_factura['fecha_factura'];
				$codx_clientex=$ver_factura['cod_cliente'];
				if($ver_factura['tipo_documento']=='0'){ $Banco_Referencia_Documento='FACT.-'.$ver_factura['n_factura']; } if($ver_factura['tipo_documento']=='1'){ $Banco_Referencia_Documento='NC.-'.$ver_factura['n_factura']; }
				if($fecha_factura==$fecha_actualx){
					$saldo_X1=mysql_query("select * from tabla_transaccion_xls where cod_cliente='$codx_clientex'  ORDER BY id DESC ",$link);
					$ver_saldo_X1=mysql_fetch_array($saldo_X1);				
					$saldox1=$ver_saldo_X1['saldo']; 		
					$montox1=$ver_saldo_X1['monto'];
					$egresos=(number_format($ver_factura['monto_dolares'], 2, '.',''))*-1;
						if($saldox1=='') { $saldox1=$saldo_inicial; }
					$saldo_total_f=$egresos+$saldox1;
					$saldo_totalx2=number_format($saldo_total_f, 2, '.','');
						$chequear_datos=mysql_query("Select * from  tabla_transaccion_xls where Banco_Referencia_Documento='$Banco_Referencia_Documento' and fecha='$fecha_factura' and cod_cliente='$cod_cliente' ",$link);
						$chequear=mysql_fetch_row($chequear_datos);
						if($chequear[0]=="")
							{
								mysql_query("INSERT INTO tabla_transaccion_xls (cod_cliente,fecha,tipo,monto,saldo,Banco_Referencia_Documento) VALUES ('".$codx_clientex."','".$fecha_factura."','2','$egresos','$saldo_totalx2','$Banco_Referencia_Documento')",$link);
							}
				}
			}
}
			
			
			
	
?>